> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Computer Agent browser automation session

> Creates a short-lived connection to the selected Computer Agent's browser. Use the returned CDP URL and request header to inspect and automate the browser, including while recording a reusable browser workflow.




## OpenAPI

````yaml post /api/v2/computer/accounts/{targetAccountId}/browser/automation-sessions
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
tags:
  - name: Agents
  - name: Inbound Email
    description: Control which senders may create inbound email work for an Agent.
  - name: Features
    description: Inspect capabilities available within an account hierarchy.
  - name: Conversation Logs
    description: Query conversation activity and calculate account-level metrics.
  - name: Computer Agents
    description: Set up, configure, inspect, and manage Vida Computer Agents.
  - name: Computer Agent Sessions
    description: View and reset Computer Agent sessions.
  - name: Accounts
  - name: Agent Templates
    description: Create, manage, and apply reusable Agent configurations.
paths:
  /api/v2/computer/accounts/{targetAccountId}/browser/automation-sessions:
    post:
      tags:
        - Computer Agents
      summary: Create a Computer Agent browser automation session
      description: >
        Creates a short-lived connection to the selected Computer Agent's
        browser. Use the returned CDP URL and request header to inspect and
        automate the browser, including while recording a reusable browser
        workflow.
      operationId: browserPostBrowserAutomationSession
      parameters:
        - name: targetAccountId
          in: path
          required: true
          description: ''
          schema:
            type: string
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                ttlSeconds:
                  type: integer
                  minimum: 60
                  maximum: 1800
                  description: Number of seconds before the connection expires.
      responses:
        '201':
          description: Browser automation session created
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  targetAgentId:
                    type: string
                  profile:
                    type: string
                    nullable: true
                  slot:
                    type: integer
                  cdpUrl:
                    type: string
                    format: uri
                  headers:
                    type: object
                    additionalProperties:
                      type: string
                  expiresAt:
                    type: string
                    format: date-time
                required:
                  - targetAgentId
                  - profile
                  - slot
                  - cdpUrl
                  - headers
                  - expiresAt
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````